<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <LangVersion>preview</LangVersion>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="ClosedXML" Version="0.105.0" />
    <PackageReference Include="CoreCLR-NCalc" Version="3.1.253" />
    <PackageReference Include="gong-wpf-dragdrop" Version="4.0.0" />
    <PackageReference Include="MahApps.Metro" Version="2.4.10" />
    <PackageReference Include="MahApps.Metro.IconPacks" Version="5.1.0" />
    <PackageReference Include="MaterialDesignColors" Version="5.2.1" />
    <PackageReference Include="MaterialDesignThemes" Version="5.2.1" />
    <PackageReference Include="MaterialDesignThemes.MahApps" Version="5.2.1" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="NModbus" Version="3.0.81" />
    <PackageReference Include="NModbus4" Version="2.1.0" />
    <PackageReference Include="NPOI" Version="2.7.4" />
    <PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
  </ItemGroup>
  
  <ItemGroup>
    <ProjectReference Include="..\ATS_DBContext\ATS_DBContext.csproj" />
    <ProjectReference Include="..\TOSUNCAN\TOSUNCAN.csproj" />
    <ProjectReference Include="..\Command\Command.csproj" />
    <ProjectReference Include="..\Common\Common.csproj" />
    <ProjectReference Include="..\DeviceCommand\DeviceCommand.csproj" />
    <ProjectReference Include="..\TOSUNCAN\TOSUNCAN.csproj" />
    <ProjectReference Include="..\加密狗\加密狗.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Interop.TSMasterAPI">
      <HintPath>..\TOSUNCAN\Interop.TSMasterAPI.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
